Subject: Re: Linux 4.2.4

From: Gerhard Wiesinger <[email-masked]>
Date: Sun, 25 Oct 2015 18:14:57 +0100

On 25.10.2015 17:29, Greg KH wrote:
> On Sun, Oct 25, 2015 at 11:48:54AM +0100, Gerhard Wiesinger wrote:
>> On 25.10.2015 10:46, Willy Tarreau wrote:
>>> ipset *triggered* the problem. The whole stack dump would tell more.
>> OK, find the stack traces in the bug report:
>> https://bugzilla.redhat.com/show_bug.cgi?id=1272645
>>
>> Kernel 4.1.10 triggered also a kernel dump when playing with ipset commands
>> and IPv6, details in the bug report  ....
>>
>>>> Kernel 4.2 seems to me not well tested in the netfilter parts at all
>>>> (Bug with already known bugfix
>>>> https://lists.debian.org/debian-kernel/2015/10/msg00034.html was
>>>> triggered on 2 of 3 of my machines, the new bug on 1 of 1 tested machine).
>>> There's a reason why Greg maintains stable and LTS kernels :-)
>> Stable kernels don't crash but definiton. :-)
>>
>> At least triggered 2 kernel panics in 5min, even with 4.1.10 and ipset
>> commands ...
> Does this happen also with Linus's tree?  I suggest you ask the
> networking developers about this on [email-masked], there's
> nothing that I can do on my own about this, sorry.

Already CCed netdev and netfilter-devel mailinglist. Need patches for 
the switch driver of the banana Pi to get networking up but that patch 
is stable. Maybe also some patches from the Fedora SRPMS are needed. But 
I'm pretty sure that this also happens with plain vanilla kernel.

Ciao,
Gerhard